<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>

<fmt:message key="Download_Center" var="pageTitle" />
<fmt:bundle basename="localization.DownloadMessages">
	<jsp:include page="../common/header.jsp">
		<jsp:param value="true" name="includeJqueryUI" />
		<jsp:param value="true" name="includeHistory" />
		<jsp:param value="true" name="includeTableSupport" />
		<jsp:param value="../common/css/templatestyles.css" name="css" />
		<jsp:param value="../common/css/table.css" name="css" />
		<jsp:param value="../common/css/headerstyles.css" name="css" />
		<jsp:param value="../settings/settings.css" name="css" />
		<jsp:param value="css/downloadstyles.css" name="css" />
		<jsp:param value="${pageTitle}" name="titleLocalized" />
		<jsp:param value="true" name="includeSecHeader" />
		<jsp:param value="${pageTitle}" name="headerTitleLocalized" />
		<jsp:param value="true" name="includeCustomSelect" />
	</jsp:include>
	<div>

		<div class="sub-section">
			<div class="wrapper">
			<ul class="selectOptions">
				<li>
				<label><fmt:message key="software.category"/></label>
				</li>
				<li>
						<ul id="category">
							<c:forEach items="${requestScope.CATEGORY_LIST}" var="category">						
								<li>${category}</li>
							</c:forEach>
						</ul>
				</li>
				<li class="gap">
				<label><fmt:message key="software.platform"/></label>
				</li>
				<li>
						<ul id="platform">
							<li class="all"><fmt:message key="software.groupBy"/></li>
							<c:forEach items="${requestScope.PLATFORM_LIST}" var="platform">						
								<li>${platform}</li>
							</c:forEach>
						</ul>
				</li>
			</ul>
				<c:set var="i" value="0" />
				<c:if test="${fn:length(requestScope.SOFTWARE_LIST) > 0}">
					<c:forEach var="item" items="${requestScope.SOFTWARE_LIST}">
						<c:set var="i" value="${i+1}" />
						<c:choose>
							<c:when test="${not empty item.displayName}">
								<c:set var="displayName" value="${item.displayName}" />
							</c:when>
							<c:otherwise>
								<c:set var="displayName" value="${item.fileName}" />
							</c:otherwise>
						</c:choose>
						<c:choose>
							<c:when test="${item.remoteFile && item.remoteFileSecure}">
								<c:set var="downloadUrl" value="${item.remoteSecureAccessLink}" />
							</c:when>
							<c:when test="${item.remoteFile && not item.remoteFileSecure}">
								<c:set var="downloadUrl" 
									   value="${pageContext.request.contextPath}/server/doDownload?type=remotepackage&fileName=${item.fileName}" />
							</c:when>
							<c:otherwise>
								<c:set var="downloadUrl" 
									   value="${pageContext.request.contextPath}/server/doDownload?type=package&fileName=${item.fileName}" />
							</c:otherwise>
						</c:choose>
						
						<ul class="row">
							<li class='image'><img src="img/thumb.png" alt="icon"
								width="61" height="61" /></li>
							<li class='descriptionBlock'>
								<h1>${displayName}</h1> 
							<span class="description">${item.description} </span> 
							<a class="more">Read more &raquo;</a> <a class="less">&laquo; Read less</a>
							<ul class="descriptionrow">
									<li class='detail.bold'>Vendor:&nbsp;&nbsp;</li>
									<li class='detail'>${item.vendor}&nbsp;&nbsp;|&nbsp;&nbsp;</li>
									<li class='detail.bold'>Release Date:&nbsp;&nbsp;</li>
									<li class='detail'>${item.packagedCreatedTimeString}&nbsp;&nbsp;|&nbsp;&nbsp;</li>
									<li class='detail.bold'>Version:&nbsp;</li>
									<li class='detail'>${item.releaseString}&nbsp;&nbsp;|&nbsp;&nbsp;</li>
									<li class='detail.bold'>Platform:&nbsp;</li>
									<li class='detail type ${item.platform}'><span class="typeValue">${item.platform}</span>&nbsp;&nbsp;|&nbsp;&nbsp;</li>
									<li class='detail.bold'>Category:&nbsp;</li>
									<li class='detail category ${item.category}'>${item.category}</li>
									<c:if test="${not empty item.readMeFileName}">
										<li>&nbsp;&nbsp;|&nbsp;&nbsp;
											<a class="readmedownload" 
											   href="${pageContext.request.contextPath}/server/doDownload?type=package&amp;fileName=${item.readMeFileName}"
											   id="readMe" class="ui-state-default ui-corner-all readMeLink">ReadMe File</a>
										</li>
									</c:if>
							</ul>
							</li>
							<li class='dl'><br />
								<div id="dialog" title="Dialog Title"></div> <br> 
								<a class="mainBtn" target="_top" href="${downloadUrl}">
								<span class="download">Download</span></a> <br>
								<p class="filesize">${item.fileSize}</p>
							</li>
							</ul>
					</c:forEach>
				</c:if>
			</div>
		</div>
		<div class="clrfloat"></div>
	</div>
</fmt:bundle>
<jsp:include page="../common/footer.jsp">
	<jsp:param value="js/download.js" name="js" />
</jsp:include>

